RubyGems

RubyGemsはRubyによるプログラミングのためのパッケージマネジメントツールです。ユーザはこれを使用することで、Rubyライブラリのダウンロードやアップデートや、依存関係の自動解決が可能になります。

RSS

  • 受付中

    回答
    0

    ruby mysql2でのexecuteに必要に応じて追加したい。

    質問の詳細です。 ()の中に、それぞれの文字列を、条件分岐によって変化し、,で区切って入れられるように実装したいです。 例えば huga="huga" piyo="piyo" total="" if true total+= "hoge " end if true total+="#{huga} " end if true total

    • 0評価
    • 16PV
    teratailが19分前に アップデート
  • 受付中

    回答
    0

    delayed_jobを使うことができない

    非同期処理を実行 エラー code #controller def quizlet @response=[] response = Unirest.get "https://api.quizlet.com/2.0/search/sets/?client_id=7JH38T27zM&whitespace=1",

    • 0評価
    • 19PV
    teratailが1週間前に アップデート
  • 解決済

    回答
    2

    windowsにてbundlerが使えない

    windowsにてbundlerでgemを管理しようとしましたが、該当のgemはないとエラーが出ます。 CentOSで試したところ、ちゃんとロードされました。 解決方法はないでしょうか? `require': cannot load such file -- discordrb (LoadError) ソースコード require 'bundler/s

    • 0評価
    • 42PV
    denebola213 denebola213 2週間前に コメント
  • 受付中

    回答
    2

    ruby on rails4、500 Internal Server Errorについて

    ruby on rails4で勉強中に、構文エラーなのか分かりませんが、500 Internal Server Errorとなってしまいます。 500 Internal Server Error If you are the administrator of this website, then please read this web applicatio

    • 0評価
    • 84PV
    tuvalu tuvalu 2週間前に 回答
  • 解決済

    回答
    1

    開発環境で変更できるemailが本番では変更できない

    Rails 5.0.2で開発し、Herokuに公開しています。 アカウント周りはdeviseを利用しています。 今ぶつかっている問題 Userが登録済みのemailを変更する仕様を入れています。localでの開発環境(development)では問題なく変更されるのですが、本番(production)ではemailのupdateがされないという

    • 0評価
    • 63PV
    innjera innjera 3週間前に ベストアンサー
  • 解決済

    回答
    1

    rubygemsのアップデートが反映されない

    rubyのバージョンを2.0→2.4にしましたが gemは2.0のままです。 ネットワークが繋がらない環境のため https://rubygems.org/からrubygems-update-2.4.1.gemを入手しています。 gem を2.4にアップデートするにはどうすればよいのでしょうか。 ruby -v ruby 2.4.1p111 gem

    • 0評価
    • 77PV
    h_a h_a 4週間前に コメント
  • 解決済

    回答
    2

    gemfileの問題でHerokuにデプロイできない。

    gemfileの問題でHerokuにデプロイできない。 以下の設定をどうしたらいいのでしょうか。 source 'https://rubygems.org' # Bundle edge Rails instead: gem 'rails', github: 'rails/rails' gem 'rails', '~> 5.0.0', '>=

    • 0評価
    • 350PV
    tuvalu tuvalu 1ヶ月前に ベストアンサー
  • 受付中

    回答
    0

    Rails webhock 受け取れない

    説明 Pay.jpという、クレジット決済のapiで、webhockを、受け取りたいが受け取れない。#webhockに、webhockのイベントを送っています。 code class WebhockController< ApplicationController protect_from_forgery :except=>[:create] d

    • 0評価
    • 52PV
    teratailが1ヶ月前に アップデート
  • 解決済

    回答
    1

    Rails : ActiveAdminでのuninitialized constantエラー (mo...

    Rails 5.0.2、ruby 2.3.0にて開発しています。 通常の画面は問題なく動作しており、管理画面を作ろうと[ActiveAdmin](https://activeadmin.info/index.html)を入れたところ、以下のエラーuninitialized constant User::Messages が出てしまいました。 St

    • 0評価
    • 61PV
    innjera innjera 1ヶ月前に 回答
  • 解決済

    回答
    1

    ruby on rails4のsyntaxerrorについて

    現在、ドットインストールのRuby on Rails 4入門を参考に勉強しているのですが、シンタックスエラーが出てしまい、はずかしながら、どこに構文エラーがあるのか解決できません。 参考URL Ruby on Rails4ドットインストール (edit.html.erb) <h1>Edit</h1> <%= form_for @project

    • 0評価
    • 62PV
    roronoazoro roronoazoro 1ヶ月前に ベストアンサー
  • 受付中

    回答
    0

    Ruby でこのリクエストを送りたい

    POST /oauth/token HTTP/1.1 Host: api.quizlet.com Authorization: Basic N0pIMzhUMjd6TTpOM3JYd3l2TU5OWlNGQWNBd0ozZ3lH Content-Type: application/x-www-form-urlencoded; charset=UTF-8 g

    • 0評価
    • 65PV
    teratailが1ヶ月前に アップデート
  • 解決済

    回答
    1

    Ruby on rails 5.1.1 jQuery ajax が機能しない

    セレクトボックスでajaxを用いて、選択肢を絞りたい。 ですが、サイトの指示通りにやってもうまくうごきません。 【Rails】セレクトボックスの内容をAjaxを使用して動的に変更する GoogleCromeのConsoleにエラーはありませんし、jQueryの他のイベントはちゃんと機能します。 Gemfile gem 'rails'

    • 0評価
    • 114PV
    ArthurLawrence ArthurLawrence 1ヶ月前に コメント
  • 解決済

    回答
    1

    Mastodonインストール時に"rake secret"でエラーが発生する

    お世話になっております。 前提・実現したいこと minimalインストールしたcentos7にMastodonを構築しています。 こちらのqiita記事にしたがって操作しています。 発生している問題・エラーメッセージ 記事の通りに進めていたところ、rake secretを実行時にエラーが発生します。 cd ~ && git clone

    • 0評価
    • 584PV
    ebiiim ebiiim 2ヶ月前に ベストアンサー
  • 解決済

    回答
    1

    Ruby on rails devise facebook認証反応しない

    deviseでfacebookユーザー認証がうまく機能していない 導入したはじめは,facebookで登録するのボタンを押してみると、ちゃんとfacebookAPI側のページ切り変わって、ごの名前で続けますか?みたいなところまでは表示されました。 問題はそのあとなのですが、それ以降ボタンを押しても、なんの反応もしなくなりました。まして、databas

    • 0評価
    • 105PV
    NobutakaKomaki NobutakaKomaki 2ヶ月前に コメント
  • 解決済

    回答
    1

    Ruby on rails でbootstrapのドロップダウンメニューを表示させたい

    Railsでドロップダウンがうまく機能していません。 表示はされるのですが、クリックしてもドロップしない状況です。 bootstrap.jsがうまく機能していないという情報を見つけたのですが、うまく動作させる方法がわかりません。 gemの一覧 gem 'rails', '~> 5.1.0' gem 'sqlite3' gem 'puma',

    • 0評価
    • 82PV
    ArthurLawrence ArthurLawrence 2ヶ月前に 回答
  • 解決済

    回答
    2

    5.1.0でjQueryが使いたい

    rails 5.1.0でjQueryが使いたい jQueryを動かしたいが、なぜか動かない jQueryの依存がなくなったと思って、そもそも導入しないでしようしても <script>...</script>の内容が反応しない エラーコードがでる couldn't find file 'jquery' with type 'application

    • 0評価
    • 276PV
    ArthurLawrence ArthurLawrence 2ヶ月前に コメント
  • 解決済

    回答
    1

    Rails Google でOmniauth 認証できない

    エラー ソース def self.find_for_google_oauth2(auth) user = User.where(email: auth.info.email).first unless user user = User.create(name: auth.info.name,

    • 0評価
    • 144PV
    NishidaRyu416_ NishidaRyu416_ 2ヶ月前に ベストアンサー
  • 解決済

    回答
    1

    FacebookとTwitterでアプリにログインできるAPI設定しているができない

    (言語:RUBY_ON_RAIL ) 初めて投稿させていただきます 質問に問題点などありましたらご指摘頂ければ幸いです 現在 FACEBOOK,TWITTERにてログインできる様設定を行っております こちらに関してアプリに必要事項の設定を行い 必要な設定を行ってサーバーを立ち上げたところ下記が出まして解決できません 解決するヒン

    • 0評価
    • 146PV
    TOKUSABU TOKUSABU 2ヶ月前に ベストアンサー
  • 受付中

    回答
    1

    gemをインストールする際にpermission エラーが発生する。

    前提・実現したいこと こちらのサイトを参考にマストドンサーバーの開発環境を作ろうとしています。(初心者です。)(http://webfood.info/mac-mastodon-dev/) gem install bundler を実行すると下記のようなエラー文言が発生しました。 発生している問題・エラーメッセージ エラーメッセージ While

    • 1評価
    • 155PV
    hiropo hiropo 2ヶ月前に コメント
  • 解決済

    回答
    1

    【RSpec】.xlsmの拡張子のついているファイルで一括登録機能のrspec....

    前提・実現したいこと 商品管理アプリをrailsを使って実装しています。 サービスクラスで.xlsmの拡張子のつくファイルで商品登録を一括登録できるような実装をしていて、それのテストコード(rspec)を書いている所です。 テストを通したいです。 発生している問題・エラーメッセージ [1] pry(#<RSpec::ExampleGroups:

    • 0評価
    • 123PV
    s.hiro s.hiro 2ヶ月前に コメント
1

タグ情報

  • あなたの順位

    -

  • タグ登録者数

    200

  • 総質問数

    216

  • 今週の質問数

    1

関連するタグ

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る